Skip to main content
`Ctrl`+`K`

# NEPRIISetMaximumIterations

Sets the maximum number of inner iterations to be used in the RII solver. These are the Newton iterations related to the computation of the nonlinear Rayleigh functional.

## Synopsis

    #include "slepcnep.h"
    PetscErrorCode NEPRIISetMaximumIterations(NEP nep,PetscInt its)

Logically Collective

## Input Parameters

- nep - the nonlinear eigensolver context

- its - maximum inner iterations

## See Also

NEP: Nonlinear Eigenvalue Problems, `NEPRII`, `NEPRIIGetMaximumIterations()`

## Level

advanced

## Location

src/nep/impls/rii/rii.c

## Implementations

NEPRIISetMaximumIterations_RII() in src/nep/impls/rii/rii.c

Index of all NEP routines Table of Contents for all manual pages Index of all manual pages